clang 10.0.0git

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
clang::comments::VerbatimLineComment Class Reference

A verbatim line command. More...

`#include "clang/AST/Comment.h"`

Inheritance diagram for clang::comments::VerbatimLineComment:
[legend]
Collaboration diagram for clang::comments::VerbatimLineComment:
[legend]

## Public Member Functions
| VerbatimLineComment (SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, SourceLocation TextBegin, StringRef Text)
child_iterator | child_begin () const
child_iterator | child_end () const
StringRef | getText () const
SourceRange | getTextRange () const
Public Member Functions inherited from clang::comments::BlockCommandComment
| BlockCommandComment (SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, CommandMarkerKind CommandMarker)
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | getCommandID () const
StringRef | getCommandName (const CommandTraits &Traits) const
SourceLocation | getCommandNameBeginLoc () const
SourceRange | getCommandNameRange (const CommandTraits &Traits) const
unsigned | getNumArgs () const
StringRef | getArgText (unsigned Idx) const
SourceRange | getArgRange (unsigned Idx) const
void | setArgs (ArrayRef< Argument > A)
ParagraphComment * | getParagraph () const LLVM_READONLY
bool | hasNonWhitespaceParagraph () const
void | setParagraph (ParagraphComment *PC)
CommandMarkerKind | getCommandMarker () const LLVM_READONLY
Public Member Functions inherited from clang::comments::Comment
| Comment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
CommentKind | getCommentKind () const
const char * | getCommentKindName () const
void | dump () const
void | dumpColor () const
void | dump (const ASTContext &Context) const
void | dump (raw_ostream &OS, const CommandTraits *Traits, const SourceManager *SM) const
SourceRange | getSourceRange () const LLVM_READONLY
SourceLocation | getBeginLoc () const LLVM_READONLY
SourceLocation | getEndLoc () const LLVM_READONLY
SourceLocation | getLocation () const LLVM_READONLY
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | child_count () const

## Static Public Member Functions
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::BlockCommandComment
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::BlockContentComment
static bool | classof (const Comment *C)

## Protected Attributes
StringRef | Text
SourceLocation | TextBegin
Protected Attributes inherited from clang::comments::BlockCommandComment
ArrayRef< Argument > | Args
| Word-like arguments. More...
ParagraphComment * | Paragraph
| Paragraph argument. More...
Protected Attributes inherited from clang::comments::Comment
SourceLocation | Loc
| Preferred location to show caret. More...
SourceRange | Range
| Source range of this AST node. More...
union {
CommentBitfields CommentBits
InlineContentCommentBitfields InlineContentCommentBits
TextCommentBitfields TextCommentBits
InlineCommandCommentBitfields InlineCommandCommentBits
HTMLTagCommentBitfields HTMLTagCommentBits
HTMLStartTagCommentBitfields HTMLStartTagCommentBits
ParagraphCommentBitfields ParagraphCommentBits
BlockCommandCommentBitfields BlockCommandCommentBits
ParamCommandCommentBitfields ParamCommandCommentBits
}; |

## Additional Inherited Members
Public Types inherited from clang::comments::Comment
enum | CommentKind { NoCommentKind = 0 }
typedef Comment *const * | child_iterator
Protected Types inherited from clang::comments::Comment
enum | { NumCommentBits = 8 }
enum | { NumInlineContentCommentBits = NumCommentBits + 1 }
enum | { NumTextCommentBits = NumInlineContentCommentBits + 2 }
enum | { NumInlineCommandCommentBits }
enum | { NumHTMLTagCommentBits = NumInlineContentCommentBits + 1 }
enum | { NumHTMLStartTagCommentBits = NumHTMLTagCommentBits + 1 }
enum | { NumParagraphCommentBits = NumCommentBits + 2 }
enum | { NumBlockCommandCommentBits }
enum | { NumParamCommandCommentBits = NumBlockCommandCommentBits + 3 }
Protected Member Functions inherited from clang::comments::BlockCommandComment
| BlockCommandComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd, unsigned CommandID, CommandMarkerKind CommandMarker)
Protected Member Functions inherited from clang::comments::BlockContentComment
| BlockContentComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
Protected Member Functions inherited from clang::comments::Comment
void | setSourceRange (SourceRange SR)
void | setLocation (SourceLocation L)

## Detailed Description

A verbatim line command.

Verbatim line has an opening command, a single line of text (up to the newline after the opening command) and has no closing command.

Definition at line 945 of file Comment.h.

## Constructor & Destructor Documentation

## ◆ VerbatimLineComment()

clang::comments::VerbatimLineComment::VerbatimLineComment | ( | SourceLocation | LocBegin,
|  | SourceLocation | LocEnd,
|  | unsigned | CommandID,
|  | SourceLocation | TextBegin,
|  | StringRef | Text
| ) |  |
| inline

Definition at line 951 of file Comment.h.

## Member Function Documentation

## ◆ child_begin()

child_iterator clang::comments::VerbatimLineComment::child_begin | ( |  | ) | const
| inline

Definition at line 968 of file Comment.h.

## ◆ child_end()

child_iterator clang::comments::VerbatimLineComment::child_end | ( |  | ) | const
| inline

Definition at line 970 of file Comment.h.

## ◆ classof()

static bool clang::comments::VerbatimLineComment::classof | ( | const Comment * | C | ) |
| inline static

Definition at line 964 of file Comment.h.

References clang::comments::Comment::getCommentKind().

## ◆ getText()

StringRef clang::comments::VerbatimLineComment::getText | ( |  | ) | const
| inline

Definition at line 972 of file Comment.h.

References Text.

Referenced by clang::TextNodeDumper::visitVerbatimLineComment(), and clang::JSONNodeDumper::visitVerbatimLineComment().

## ◆ getTextRange()

SourceRange clang::comments::VerbatimLineComment::getTextRange | ( |  | ) | const
| inline

Definition at line 976 of file Comment.h.

References clang::comments::Comment::getEndLoc().

## Member Data Documentation

## ◆ Text

StringRef clang::comments::VerbatimLineComment::Text
| protected

Definition at line 947 of file Comment.h.

## ◆ TextBegin

SourceLocation clang::comments::VerbatimLineComment::TextBegin
| protected

Definition at line 948 of file Comment.h.

The documentation for this class was generated from the following file:

- include/clang/AST/Comment.h